include:
  remote: https://gitlab.com/arbetsformedlingen/devops/gitlab-cicd/jobtech-ci/-/raw/v1.1.2/security-no-container.yml
  #local: .gitlab-ci-exclusions.yml

stages:
 - test
 - build

pull_custom_tool_image:
  stage: build
  needs: []
  image: docker:stable
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker login -u pipeline-readonly -p "$docker_images_jobtechdev_se_passwd" docker-images.jobtechdev.se
    - docker pull docker-images.jobtechdev.se/ci-tools/ci-tools:main
    - docker tag docker-images.jobtechdev.se/ci-tools/ci-tools:main $CI_REGISTRY_IMAGE/ci-tools/ci-tools:main
    - docker push $CI_REGISTRY_IMAGE/ci-tools/ci-tools:main

kaocha_tests:
  stage: test
  image: $CI_REGISTRY_IMAGE/ci-tools/ci-tools:main
  resource_group: test
  script:
    - clj -M:test:kaocha
  artifacts:
    paths:
      - target/coverage/lcov.info
    reports:
      junit: target/junit.xml

export_code_coverage:
  stage: test
  # kaocha_tests step outputs lcov.info in target/coverage which needs to be
  # converted to the "cobertura" format for gitlab to be able to parse it to a code coverage report
  needs:
    - job: kaocha_tests
      artifacts: true
  image: $CI_REGISTRY_IMAGE/ci-tools/ci-tools:main
  script:
    - lcov_cobertura target/coverage/lcov.info
  artifacts:
    reports:
      coverage_report:
        coverage_format: cobertura
        path: coverage.xml
